Voice Cloning is out in beta with Elevenlabs integration!
cURL
curl --request POST \ --url https://pria.praxislxp.com/api/admin/tools \ --header 'Content-Type: application/json' \ --header 'x-access-token: <api-key>' \ --data ' { "institution": "<string>", "type": "<string>", "minimum": true } '
{ "success": true, "data": [ { "id": "<string>", "name": "<string>", "responseLength": 123, "responseDurationMs": 123, "success": true, "_id": "<string>", "description": "<string>", "type": "<string>", "schema": {}, "endpoint": "<string>", "status": "active", "institution": "<string>", "created": "2023-11-07T05:31:56Z" } ] }
Retrieves all tools with optional filtering
JWT token passed in x-access-token header
Filter by institution ID
Filter by tool type
Return minimal data
Tools retrieved successfully
Show child attributes
Was this page helpful?